# Interface LoopIterationListener

All Known Implementing Classes:
  `CompareAssertion, ConstantTimer, CounterConfig, CSVDataSet, GaussianRandomTimer, OnceOnlyController, PoissonRandomTimer, RandomTimer, RandomVariableConfig, ThroughputController, UniformRandomTimer, UserParameters`

public interface LoopIterationListener
Allows a class to receive loop iteration start events.

## Method Summary

Modifier and Type
Method
Description
`void`
`iterationStart(LoopIterationEvent iterEvent)`
Called when a loop iteration is about to start.

## Method Details

### iterationStart

void iterationStart(LoopIterationEvent iterEvent)
Called when a loop iteration is about to start.

Parameters:
  `iterEvent` - the event